#!/bin/sh

set -x -e

${CONDA_PREFIX}/opt/trinity-*/Inchworm/bin/inchworm --help &>/dev/null || [ $? -eq 1 ]
${CONDA_PREFIX}/opt/trinity-*/Chrysalis/bin/Chrysalis --help &>/dev/null || [ $? -eq 255 ]
${CONDA_PREFIX}/opt/trinity-*/Chrysalis/bin/QuantifyGraph --help &>/dev/null || [ $? -eq 255 ]
${CONDA_PREFIX}/opt/trinity-*/Chrysalis/bin/ReadsToTranscripts --help &>/dev/null || [ $? -eq 255 ]
${CONDA_PREFIX}/opt/trinity-*/trinity-plugins/BIN/ParaFly --help &>/dev/null || [ $? -eq 1 ]


set -ex



Trinity --cite
align_and_estimate_abundance.pl --help || [[ "$?" == 255 ]]
abundance_estimates_to_matrix.pl --help || [[ "$?" == 255 ]]
run_DE_analysis.pl -h || [[ "$?" == 255 ]]
analyze_diff_expr.pl -h || [[ "$?" == 255 ]]
PtR --help || [[ "$?" == 255 ]]
TrinityStats.pl 2>&1 | grep "usage:"
define_clusters_by_cutting_tree.pl 2>&1 | grep "define K clusters via k-means algorithm"
Trinity_gene_splice_modeler.py --help
exit 0
